name: "Welcome new contributors"

on:
  issues:
    types: opened
  pull_request_target:
    types: opened

permissions:
  pull-requests: write
  issues: write

jobs:
  welcome-message:
    name: Welcoming New Users
    runs-on: ubuntu-latest
    timeout-minutes: 10
    if: github.event.action == 'opened'
    steps:
      - uses: actions/first-interaction@v1
        with:
          repo-token: ${{ secrets.GITHUB_TOKEN }}
          pr-message: |-
            Thank you so much for making your first Pull Request and taking the time to improve Formbricks! 🚀🙏❤️
            Feel free to join the conversation on [Github Discussions](https://github.com/formbricks/formbricks/discussions) if you need any help or have any questions. 😊
          issue-message: |
            Thank you for opening your first issue! 🙏❤️ One of our team members will review it and get back to you as soon as it possible. 😊
